import type { _SCNGeometry } from "./SCNGeometry.js";
export declare class _SCNSphere extends _SCNGeometry {
    static alloc(): _SCNSphere;
    static new(): _SCNSphere;
    init(): _SCNSphere;
    /**
     * @method sphereWithRadius: @abstract Creates and returns a sphere with given radius. @param radius The radius of the sphere.
     */
    static sphereWithRadius$(radius: number): _SCNSphere;
    /**
     * @property radius @abstract The sphere radius. Animatable. @discussion If the value is less than or equal to 0, the geometry is empty. The default value is 0.5.
     */
    radius(): number;
    setRadius$(value: number): void;
    /**
     * @property geodesic @abstract Indicate if the geometry is a geosphere. @discussion The default value is NO.
     */
    geodesic(): boolean;
    setGeodesic$(value: boolean): void;
    /**
     * @property segmentCount @abstract The number of segments along both spherical coordinates. Animatable. @discussion If the value is less than 3, the behavior is undefined. The default value is 48.
     */
    segmentCount(): number;
    setSegmentCount$(value: number): void;
}
